package org.manzerbredes.open_klm.device;

public class Keyboard{
	
	/**
	 * Defined Region Helper
	 * 
	 * @author Manzerbredes
	 *
	 */
	public enum Region{
		LEFT(1), MIDDLE(2), RIGHT(3);
		
		private int current;
		
		Region(int current){
			this.current=current;
		}
		
		public int intValue(){
			return this.current;
		}
	}
	
	/**
	 * Defined Color Helper
	 * 
	 * @author Manzerbredes
	 *
	 */
	public enum Color{
		OFF(0),RED(1),ORANGE(2),YELLOW(3),GREEN(4),SKY(5), BLUE(6),PURPLE(7),WHITE(8);
		
		private int current;
		
		Color(int current){
			this.current=current;
		}
		
		public int intValue(){
			return this.current;
		}
	}

	/**
	 * Defined Level Helper
	 * 
	 * @author Manzerbredes
	 *
	 */
	public enum Intensity{
		HIGH(0), MEDIUM(1), LOW(2), LIGHT(3);
		
		private int current;
		
		Intensity(int current){
			this.current=current;
		}
		
		public int intValue(){
			return this.current;
		}
	}

	/**
	 * Defined Mode Helper
	 * 
	 * @author Manzerbredes
	 *
	 */
	public enum Mode{
		NORMAL(1), GAMING(2), BREATHE(3), DEMO(4), WAVE(5);
		
		private int current;
		
		Mode(int current){
			this.current=current;
		}
		
		public int intValue(){
			return this.current;
		}
	}


	
	
}